CREATE TABLE cmr_rcv_distributions (
    CMR_SUB_LEDGER_ID           NUMBER(18, 0) ,
    ACCOUNTING_EVENT_ID         NUMBER(18, 0)     NOT NULL,
    ACCOUNTING_LINE_TYPE        VARCHAR2(160) ,
    EVENT_COST_ID               NUMBER(18, 0) ,
    LINE_NUMBER                 NUMBER(9, 0)  ,
    EVENT_ID                    NUMBER(18, 0) ,
    ACCOUNTED_QTY               NUMBER        ,
    LEDGER_AMOUNT               NUMBER        ,
    ENTERED_CURRENCY_AMOUNT     NUMBER        ,
    ENTERED_CURRENCY_CODE       VARCHAR2(60)  ,
    LEDGER_CURRENCY_CODE        VARCHAR2(60)      NOT NULL,
    CODE_COMBINATION_ID         NUMBER(18, 0) ,
    PJC_TXN_STATUS_CODE         VARCHAR2(4)   ,
    BALANCE_TYPE                VARCHAR2(4)   ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    EA_ENTERED_CURRENCY_CODE    VARCHAR2(60)  ,
    CMR_SUB_LEDGER_ID           NUMBER(18, 0) ,
    LINE_NUMBER                 NUMBER(9, 0)  ,
    EVENT_ID                    NUMBER(18, 0) ,
    ACCOUNTING_LINE_TYPE        VARCHAR2(160) ,
    ACCOUNTING_EVENT_ID         NUMBER(18, 0)     NOT NULL,
    LEDGER_AMOUNT               NUMBER        ,
    ENTERED_CURRENCY_AMOUNT     NUMBER        ,
    ACCOUNTED_QTY               NUMBER        ,
    ENTERED_CURRENCY_CODE       VARCHAR2(60)  ,
    LEDGER_CURRENCY_CODE        VARCHAR2(60)      NOT NULL,
    CODE_COMBINATION_ID         NUMBER(18, 0) ,
    PJC_TXN_STATUS_CODE         VARCHAR2(4)   ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    EVENT_COST_ID               NUMBER(18, 0) ,
    EA_ENTERED_CURRENCY_CODE    VARCHAR2(60)  ,
    BALANCE_TYPE                VARCHAR2(4)   ,
    CONSTRAINT pk_cmr_rcv_distributions PRIMARY KEY (CMR_SUB_LEDGER_ID, CMR_SUB_LEDGER_ID)
);
